Package edu.fiu.jtlex

# Class TemporalNode

java.lang.Object
edu.fiu.jtlex.TemporalNode

All Implemented Interfaces:
  `IANode`, `ITemporalNode`

    public class TemporalNode
    extends java.lang.Object
    implements ITemporalNode

Author:
  arada002

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `TemporalNode​(int id, int begin, int end, java.lang.String text, CompoundTerm[] compoundTerms)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getBegin()` |
  `CompoundTerm` | `getCompoundTerm()` |
  `int` | `getEnd()` |
  `edu.fiu.jtlex.data.ITimex.FunctionInDocument` | `getFid()` |
  `int` | `getId()` |
  `java.lang.String` | `getText()` |
  `java.lang.String` | `getTimexText()` |
  `int` | `getTimexTid()` |
  `edu.fiu.jtlex.data.ITimex.TimexType` | `getTimexType()` |
  `boolean` | `isTemporalFunction()` |
  `edu.fiu.jtlex.data.ITimex` | `toTimex()` |

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TemporalNode

    public TemporalNode​(int id, int begin, int end, java.lang.String text, CompoundTerm[] compoundTerms)

- ## Method Details

  - ### getCompoundTerm

    public CompoundTerm getCompoundTerm()
    Specified by:
      `getCompoundTerm` in interface `ITemporalNode`

  - ### getId

    public int getId()
    Specified by:
      `getId` in interface `IANode`
    Specified by:
      `getId` in interface `ITemporalNode`

  - ### getBegin

    public int getBegin()
    Specified by:
      `getBegin` in interface `ITemporalNode`

  - ### getEnd

    public int getEnd()
    Specified by:
      `getEnd` in interface `ITemporalNode`

  - ### getText

    public java.lang.String getText()
    Specified by:
      `getText` in interface `ITemporalNode`

  - ### getTimexText

    public java.lang.String getTimexText()
    Specified by:
      `getTimexText` in interface `ITemporalNode`

  - ### getTimexType

    public edu.fiu.jtlex.data.ITimex.TimexType getTimexType()
    Specified by:
      `getTimexType` in interface `ITemporalNode`

  - ### getTimexTid

    public int getTimexTid()
    Specified by:
      `getTimexTid` in interface `ITemporalNode`

  - ### isTemporalFunction

    public boolean isTemporalFunction()
    Specified by:
      `isTemporalFunction` in interface `ITemporalNode`

  - ### getFid

    public edu.fiu.jtlex.data.ITimex.FunctionInDocument getFid()
    Specified by:
      `getFid` in interface `ITemporalNode`

  - ### toTimex

    public edu.fiu.jtlex.data.ITimex toTimex()
    Specified by:
      `toTimex` in interface `ITemporalNode`